Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2003-0978

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2003-0978
Last Modified 10 Sep 2008 03:21:19
Published 05 Jan 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2003-0978

Summary

Format string vulnerability in gpgkeys_hkp (experimental HKP interface) for the GnuPG (gpg) client 1.2.3 and earlier, and 1.3.3 and earlier, allows remote attackers or a malicious keyserver to cause a denial of service (crash) and possibly execute arbitrary code during key retrieval.

Vulnerable Systems

Application

  • Gnu Privacy Guard 1.2

  • Gnu Privacy Guard 1.2.1

  • Gnu Privacy Guard 1.2.2

  • Gnu Privacy Guard 1.2.3

  • Gnu Privacy Guard 1.3.3


References

XF - gnupg-gpgkeyshkp-format-string(13892)

MISC - http://www.s-quadra.com/advisories/Adv-20031203.txt

SUSE - SuSE-SA:2003:048

BUGTRAQ - 20031203 GnuPG 1.2.3, 1.3.3 external HKP interface format string issue


Last Updated: 27 May 2016 10:38:07